summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild/overcloud-onos.sh12
-rwxr-xr-xbuild/overcloud-opendaylight-sfc.sh48
-rw-r--r--build/variables.sh5
-rw-r--r--config/deploy/os-odl_l2-sfc-noha.yaml1
4 files changed, 27 insertions, 39 deletions
diff --git a/build/overcloud-onos.sh b/build/overcloud-onos.sh
index d59be0a3..e13923d9 100755
--- a/build/overcloud-onos.sh
+++ b/build/overcloud-onos.sh
@@ -19,12 +19,12 @@ cp -f overcloud-full.qcow2 overcloud-full-onos_build.qcow2
#######################################
# upgrade ovs into ovs 2.5.90 with NSH function
-curl -L -O ${onos_ovs_uri}/package_ovs_rpm.tar.gz
-tar -xzf package_ovs_rpm.tar.gz
-LIBGUESTFS_BACKEND=direct virt-customize --upload openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm:/root/ \
- --run-command "yum install -y /root/openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm" \
- --upload openvswitch-2.5.90-1.el7.centos.x86_64.rpm:/root/ \
- --run-command "yum upgrade -y /root/openvswitch-2.5.90-1.el7.centos.x86_64.rpm" \
+curl -L -O ${onos_ovs_uri}/package_ovs_rpm_new.tar.gz
+tar -xzf package_ovs_rpm_new.tar.gz
+LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
+ --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
+ --upload ${ovs_rpm_name}:/root/ \
+ --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
-a overcloud-full-onos_build.qcow2
diff --git a/build/overcloud-opendaylight-sfc.sh b/build/overcloud-opendaylight-sfc.sh
index 9b38ca29..5032ba06 100755
--- a/build/overcloud-opendaylight-sfc.sh
+++ b/build/overcloud-opendaylight-sfc.sh
@@ -8,43 +8,27 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
set -e
+source ./variables.sh
+pushd images > /dev/null
################################################
##### Adding SFC+OpenDaylight overcloud #####
################################################
-#copy opendaylight overcloud full to isolate odl-sfc
-cp -f images/overcloud-full-opendaylight.qcow2 images/overcloud-full-opendaylight-sfc_build.qcow2
+#copy opendaylight overcloud full to odl-sfc
+cp -f overcloud-full-opendaylight.qcow2 overcloud-full-opendaylight-sfc_build.qcow2
-# work around for XFS grow bug
-# http://xfs.org/index.php/XFS_FAQ#Q:_Why_do_I_receive_No_space_left_on_device_after_xfs_growfs.3F
-cat > /tmp/xfs-grow-remount-fix.service << EOF
-[Unit]
-Description=XFS Grow Bug Remount
-After=network.target
-Before=getty@tty1.service
+# upgrade ovs into ovs 2.5.90 with NSH function
+if ! [[ -f "$ovs_rpm_name" && -f "$ovs_kmod_rpm_name" ]]; then
+ curl -L -O ${onos_ovs_uri}/package_ovs_rpm_new.tar.gz
+ tar -xzf package_ovs_rpm_new.tar.gz
+fi
-[Service]
-Type=oneshot
-ExecStart=/bin/bash -c "echo 'XFS Grow Bug Remount Sleeping 180s' && sleep 180 && echo 'XFS Grow Bug Remounting Now' && mount -o remount,inode64 /"
-RemainAfterExit=no
+LIBGUESTFS_BACKEND=direct virt-customize --upload ${ovs_kmod_rpm_name}:/root/ \
+ --run-command "yum install -y /root/${ovs_kmod_rpm_name}" \
+ --upload ${ovs_rpm_name}:/root/ \
+ --run-command "yum upgrade -y /root/${ovs_rpm_name}" \
+ -a overcloud-full-opendaylight-sfc_build.qcow2
-[Install]
-WantedBy=multi-user.target
-EOF
-
-
-# kernel is patched with patch from this post
-# http://xfs.org/index.php/XFS_FAQ#Q:_Why_do_I_receive_No_space_left_on_device_after_xfs_growfs.3F
-LIBGUESTFS_BACKEND=direct virt-customize \
- --upload "/tmp/xfs-grow-remount-fix.service:/etc/systemd/system/xfs-grow-remount-fix.service" \
- --run-command "chmod 664 /etc/systemd/system/xfs-grow-remount-fix.service" \
- --run-command "systemctl enable xfs-grow-remount-fix.service" \
- --install 'https://radez.fedorapeople.org/kernel-ml-3.13.7-1.el7.centos.x86_64.rpm' \
- --run-command 'grub2-set-default "\$(grep -P \"submenu|^menuentry\" /boot/grub2/grub.cfg | cut -d \"\\x27\" | head -n 1)"' \
- --install 'https://radez.fedorapeople.org/openvswitch-kmod-2.3.90-1.el7.centos.x86_64.rpm' \
- --run-command 'yum downgrade -y https://radez.fedorapeople.org/openvswitch-2.3.90-1.x86_64.rpm' \
- --run-command 'rm -f /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/net/openvswitch/openvswitch.ko' \
- --run-command 'ln -s /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/extra/openvswitch/openvswitch.ko /lib/modules/3.13.7-1.el7.centos.x86_64/kernel/net/openvswitch/openvswitch.ko' \
- -a images/overcloud-full-opendaylight-sfc_build.qcow2
-mv images/overcloud-full-opendaylight-sfc_build.qcow2 images/overcloud-full-opendaylight-sfc.qcow2
+mv overcloud-full-opendaylight-sfc_build.qcow2 overcloud-full-opendaylight-sfc.qcow2
+popd > /dev/null
diff --git a/build/variables.sh b/build/variables.sh
index 2f97727e..6632b526 100644
--- a/build/variables.sh
+++ b/build/variables.sh
@@ -12,7 +12,7 @@ rdo_images_uri=https://ci.centos.org/artifacts/rdo/images/mitaka/delorean/stable
onos_release_uri=https://downloads.onosproject.org/nightly/
onos_release_file=onos-1.6.0-rc2.tar.gz
onos_jdk_uri=https://www.dropbox.com/s/qyujpib8zyhzeev
-onos_ovs_uri=https://www.dropbox.com/s/gm6o6k80l56pf0o
+onos_ovs_uri=https://www.dropbox.com/s/7rfr9l2qz3a36cc
openstack_congress=https://radez.fedorapeople.org/openstack-congress-2016.1-1.fc24.noarch.rpm
doctor_driver=https://raw.githubusercontent.com/muroi/congress/doctor-poc/congress/datasources/doctor_driver.py
@@ -24,3 +24,6 @@ dpdk_rpms=(
'ovs4opnfv-32930523-dpdk-tools-16.04.0-1.el7.centos.x86_64.rpm'
'ovs4opnfv-32930523-openvswitch-2.5.90-0.12032.gitc61e93d6.1.el7.centos.x86_64.rpm'
)
+
+ovs_rpm_name=openvswitch-2.5.90-0.11974.gitc4623bb8.1.el7.centos.x86_64.rpm
+ovs_kmod_rpm_name=openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm
diff --git a/config/deploy/os-odl_l2-sfc-noha.yaml b/config/deploy/os-odl_l2-sfc-noha.yaml
index 6d088af8..106fbca9 100644
--- a/config/deploy/os-odl_l2-sfc-noha.yaml
+++ b/config/deploy/os-odl_l2-sfc-noha.yaml
@@ -4,6 +4,7 @@ global_params:
deploy_options:
sdn_controller: opendaylight
sdn_l3: false
+ odl_version: boron
tacker: false
congress: false
sfc: true